System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 This is an enumeration type. It is always thread safe. System.Enum This enumeration is used in various places in the XPath API to distinguish between various types of nodes.

Defines the XPath node types that can be returned from the class.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XPath.XPathNodeType To be added.

  Any of the node types.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XPath.XPathNodeType To be added.

  An attribute, such as id='123'.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XPath.XPathNodeType To be added.

  A comment, such as <!-- my comment -->

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XPath.XPathNodeType To be added.

  An element, such as <element>.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XPath.XPathNodeType To be added.

  A namespace, such as xmlns="namespace".

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XPath.XPathNodeType To be added.

  A processing instruction, such as <?pi test?>. This does not include XML declarations, which are not visible to the class.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XPath.XPathNodeType To be added.

  The root node of the XML document or node tree.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XPath.XPathNodeType To be added.

  A node with white space characters and xml:space set to preserve.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XPath.XPathNodeType To be added.

  The text content of a node. Equivalent to the Document Object Model (DOM) Text and CDATA node types. Contains at least one character.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XPath.XPathNodeType To be added.

  A node with only white space characters and no significant white space. White space characters are #x20, #x9, #xD, or #xA.